<?php

class DatabaseSeeder extends Seeder {

	/**
	 * Run the database seeds.
	 *
	 * @return void
	 */
	public function run()
	{
		Eloquent::unguard();

		User::create(array('name' => 'Daniel', 'email' => 'daniel@ascarion.net', 'admin' => true, 'password' => Hash::make('natrium')));
		Film::create(array('name' => 'Star Trek - Der Film', 'tvdbid' => 152, 'vorgeschlagen' => '2012-12-24', 'user' => 1));
		Film::create(array('name' => 'James Bond 007 - Moonraker - Streng Geheim', 'tvdbid' => 698, 'vorgeschlagen' => '2012-08-17', 'gesehen' => '2012-11-30', 'user' => 1));
		Comment::create(array('user' => 1, 'text' => 'Das ist ein toller Film!!', 'headline' => 'Überschrift', 'film' => 1));
		Comment::create(array('user' => 1, 'text' => 'Ein weiterer Kommentar!!', 'headline' => 'Überschrift', 'film' => 1));
		Comment::create(array('user' => 1, 'text' => 'Der Film war schlecht!!', 'headline' => 'Überschrift', 'film' => 2));
		Comment::create(array('user' => 1, 'text' => 'So richtig!!', 'headline' => 'Überschrift', 'film' => 2));
		Vote::create(array('user' => 1, 'film' => 1, 'stimme' => true));
	}

}